# -*- coding: utf-8 -*-
import string

widget = {}
config = {}

widget['finish']   = '#c2bfa5'
widget['canvas']   = '#f8fae6'
widget['workfont'] = 'helvetica 12'
widget['textfont'] = 'courier 12'
widget['border']   = '1'

# ---------- НЕ РЕДАКТИРОВАТЬ ТО, ЧТО НИЖЕ ЭТОЙ ЛИНИИ ---------- #
if widget['finish']:
  Color1 = widget['finish']
  Color2 = '#'
  Color3 = '#'
  f1 = 1.15
  f2 = 0.65
  fx = [string.atoi(Color1[1:3],16), 
        string.atoi(Color1[3:5],16), 
        string.atoi(Color1[5:7],16)]
  for i in fx:
    j = i*f1
    k = i*f2
    if j > 255: j = 255
    if k > 255: k = 255
    Color2 = '%s%02x' % (Color2, j)
    Color3 = '%s%02x' % (Color3, k)
  widget['active'] = Color2
  widget['select'] = Color3
else:
  widget['active'] = ''
  widget['select'] = ''

# Используйте 'text' для элементов управления Text, Listbox и Entry.
#         (их параметры идентичны)

config['frame'] = {'borderwidth' : '0', 'relief' : 'flat'}
config['label'] = {'borderwidth' : '0', 'relief' : 'flat'}
config['button'] = {'relief' : 'raised'}
config['check'] = {'relief' : 'raised'}
config['menubutton'] = {'borderwidth' : '0', 'relief' : 'flat'}
config['menu'] = {'activeborderwidth' : '0', 'relief' :'raised'}
config['text'] = { 'relief' : 'sunken'}
config['scroll'] = {'relief' : 'sunken', 'width' : '10'}

if widget['border']:
  config['button']['borderwidth'] = widget['border']
  config['check']['borderwidth'] = widget['border']
  config['menu']['borderwidth'] = widget['border']
  config['text']['borderwidth'] = widget['border']
  config['scroll']['borderwidth'] = widget['border']
  config['scroll']['elementborderwidth'] = widget['border']
  
if widget['finish']:
  config['frame']['background'] = widget['finish']
  config['frame']['highlightbackground'] = widget['finish']
  config['label']['background'] = widget['finish']
  config['label']['highlightbackground'] = widget['finish']
  config['button']['background'] = widget['finish']
  config['button']['highlightbackground'] = widget['finish']
  config['check']['background'] = widget['finish']
  config['check']['highlightbackground'] = widget['finish']
  config['menubutton']['background'] = widget['finish']
  config['menubutton']['highlightbackground'] = widget['finish']
  config['menu']['background'] = widget['finish']
  config['text']['highlightbackground'] = widget['finish']
  config['scroll'][ 'activebackground'] = widget['finish']                   
  config['scroll'][ 'background'] = widget['finish']
  config['scroll'][ 'highlightbackground'] = widget['finish']

# Если цвет 'canvas' равен пустой строке, подставляется белый.

if widget['canvas']:
  config['text']['background'] = widget['canvas']
else:
  config['text']['background'] = '#ffffff'    

if widget['active']:
  config['button']['activebackground'] = widget['active']
  config['check']['activebackground'] = widget['active']
  config['menubutton']['activebackground'] = widget['active']
  config['menu']['activebackground'] = widget['active']
  config['scroll'][ 'troughcolor'] = widget['active']

if widget['select']:
  config['menu']['selectcolor'] = widget['select']
  config['check']['selectcolor'] = widget['select']
  config['text']['selectbackground'] = widget['select']                    

if widget['workfont']:
  config['label']['font'] = widget['workfont']
  config['button']['font'] = widget['workfont']
  config['check']['font'] = widget['workfont']
  config['menubutton']['font'] = widget['workfont']
  config['menu']['font'] = widget['workfont']

if widget['textfont']:
  config['text']['font'] = widget['textfont']


