# -*- coding: utf-8 -*-
widget = {}
config = {}

# Здесь задается цвет активного пункта меню и желобка линейки прокрутки
widget['dark']   = '#c1c0b2'

# Здесь задается гарнитура и размер шрифта элементов управления
widget['workfont'] = 'helvetica 12'

# Здесь задается шрифт для текстовых полей ввода
widget['textfont'] = 'courier 12'

# Здесь задается толщина границы меню
widget['m_border']   = '0'

# Здесь задается толщина границы для остальных приподнятых/утопленных элементов управления
widget['border']   = '1'

#-----------------------------------------------------------#
# Здесь определяются списки свойств элементов управления

config['frame']  = {'borderwidth' : widget['border'],
                    'relief' : 'flat'}
config['label']  = {'borderwidth' : widget['border'],
                    'font': widget['workfont'],
                    'relief' : 'flat'}
config['button'] = {'borderwidth' : widget['border'],
                    'font': widget['workfont'],
                    'relief' : 'raised'}
config['menubutton'] = {
                    'borderwidth' : widget['m_border'],
                    'font': widget['workfont'],
                    'relief' : 'flat'}
config['menu']   = {'activeborderwidth' : widget['m_border'],
                    'activebackground': widget['dark'],
                    'borderwidth' : widget['border'],
                    'font': widget['workfont'],
                    'relief' : 'raised'}
config['text']   = {'background' : 'white',
                    'borderwidth' : widget['border'],
                    'font': widget['textfont'],
                    'relief' : 'sunken',}
config['scroll'] = {'borderwidth' : widget['border'],
                    'elementborderwidth' : widget['border'],
                    'relief' : 'sunken',
                    'troughcolor': widget['dark'],
                    'width' : '10'}
