#!/usr/bin/python
# -*- coding: utf-8 -*-

# импортирование модулей python
from Tkinter import *
from dialogs_01 import *

# класс родительского окна
class main:
  def __init__(self, master):
    self.master = master
    self.master.title('editor')
    self.master.iconname('editor')
    self.master.geometry('600x400+100+100')
    self.myBar = Frame(self.master, relief = RAISED, bd=2)
    self.fileMenu()
    self.myBar.pack(side = TOP, expand = YES, fill = X)
    self.myScroll = Scrollbar(self.master)
    self.myScroll.pack(side=RIGHT, fill=Y)
    self.myText = Text(self.master, 
                       background = 'white', 
                       height = 30, 
                       width = 90,
                       yscrollcommand=(self.myScroll, 'set'))
    self.myText.pack(side=LEFT, fill=BOTH, expand=YES)
    self.myScroll.configure(command = self.myText.yview)
    self.master.protocol('WM_DELETE_WINDOW', self.exitMethod)
    self.master.mainloop()

# добавление меню file в панель меню
  def fileMenu(self):
    mButton = Menubutton(self.myBar, 
                         text = 'file  ', 
                         underline = 0)
    mButton.pack(side = LEFT)
    menu = Menu(mButton, tearoff = 0)
    menu.add_command(label = 'new', 
                     underline = 0, 
                     command = self.getMessage)
    menu.add_command(label = 'open...', 
                     underline = 0, 
                     command = self.getMessage)
    menu.add_separator({})
    menu.add_command(label = 'save', 
                     underline = 0, 
                     command = self.getMessage)
    menu.add_command(label = 'save as...', 
                     underline = 5, 
                     command = self.getMessage)
    mButton.configure(menu = menu)
    return mButton

# выход из редактора
  def exitMethod(self):
    self.dialog = question(self.master)
    self.myMssg = 'Do you want to exit?'
    self.returnValue = self.dialog.go(message = self.myMssg)
    if self.returnValue:
      self.master.destroy()

# вызов родового [generic] сообщения
  def getMessage(self):
    message(self.master)

# создание окна
root = Tk()

# запуск окна
main(root)
